Bug 613679 - preferred_names in lvm.conf not setup correctly
Summary: preferred_names in lvm.conf not setup correctly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 613754
TreeView+ depends on / blocked
 
Reported: 2010-07-12 14:55 UTC by Mike Burns
Modified: 2010-11-11 14:53 UTC (History)
5 users (show)

Fixed In Version: ovirt-node-1.9.3-5.git3a9e2d0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 14:53:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1006 bytes, patch)
2010-07-17 02:06 UTC, Joey Boggs
no flags Details | Diff

Description Mike Burns 2010-07-12 14:55:37 UTC
Description of problem:

preferred_names in lvm.conf is preferred_names = [ "^/dev/mpath/", "^/dev/mapper/mpath", "^/dev/[hs]d" ] by default

This causes multipath devices to show up as /dev/dm-XX devices in pvs type calls.  The script that sets up the lvm.conf file changes the commented preferred_names lines to the correct value:

preferred_names = [ "^/dev/mapper", "^/dev/[hsv]d" ]


Version-Release number of selected component (if applicable):
6.0

How reproducible:
Always when using multipath devices

Steps to Reproduce:
1. start rhevh in firstboot mode
2. configure storage (if not configured)
3. drop to shell (support menu -> shell)
4. run pvs - points to /dev/dm-* device
  
Actual results:
uses dm-* devices

Expected results:
uses /dev/mapper/<wwid> device

Additional info:

Comment 2 Joey Boggs 2010-07-17 02:06:10 UTC
Created attachment 432530 [details]
patch

Comment 4 Ying Cui 2010-08-26 09:09:32 UTC
Verified on build rhev-hypervisor-6.0-13.el6.noarch.

steps:
1. firstboot menu
2. partition on FC LUN.

[root@amd-1352-8-2 ~]# pvs
  PV                                              VG     Fmt  Attr PSize  PFree
  /dev/mapper/3600a0b80005adb0b000003ca4a1c593ep3 HostVG lvm2 a-   29.52g    0

Comment 5 releng-rhel@redhat.com 2010-11-11 14:53:23 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.